> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project

> Create a project



## OpenAPI

````yaml post /projects
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create a project
      description: Create a project
      operationId: postProjects
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                customer_id: 1
                name: some string
                description: some string
                status: 1
                status_id: 1
                status_workflow_id: 1
                location_id: 1
                location: some string
                start_time: 1234567890
                end_time: 1234567890
                notes: some string
                job_notes: some string
                completion_percentage: '1'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                error: true
                errors:
                  - error message
                  - error message
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              example:
                message: Request URL not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Project Management](/using-fieldpulse/project-management/project-management.md)
- [What's New](/changelog/index.md)
- [Mobile App Overview - Admins & Team Managers](/getting-started/core-features-first-tasks/in-the-field-overview-mobile-experience/mobile-app-overview-admins-team-managers.md)
- [Project Reports](/using-fieldpulse/reporting/raw-data-reporting-tutorials/project-reports.md)
- [Custom Fields on Project Records](/using-fieldpulse/project-management/custom-fields-on-project-records.md)
